/***********************************************************************/
/*                                                                     */
/*  FILE        :Main.c                                                */
/*  DATE        :                                                      */
/*  DESCRIPTION :Main Program                                          */
/*  CPU TYPE    :                                                      */
/*                                                                     */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/*                                                                     */
/***********************************************************************/

#include "iodefine.h"
#include "ics2_RL78F14_Lx.h"

/*********** KEEP DTC TABLE AREA ***********/
#pragma address  dtc_tbl = 0xFFE00
char  dtc_tbl[0xD0];



void main(void);

int  a = 0;
int  b = 0;
int  c = 0;
char brr = 15;

void main(void)
{
    int i;

    /*-- Internal oscillator 32MHz --------------------------------*/
    CMC   = 0x00;   /* default 0x00                                */
    CKC   = 0x00;   /* default 0x00  Hispeed internal clock        */
    OSTS  = 0x07;   /* default 0x07                                */
    CSC   = 0xC0;   /* default 0xC0 X1 stop, XT1 stop, intOSC work */

    OSMC = 0x10;
    for(i=1; i<=100; i++)     /* Need 10us : 1/fx=125ns(8MHz)x100=12.5us */
    {  __nop(); }

    while(MCS == 1) { }       /* wait for clock changed */

// brr @32MHz = 16/(brr+1) Mbps
//   2:5.33M, 3:4.00M,  4:3.20M,  5:2.66M,  6:2.22M,  7:2.00M,
//   8:1.78M, 9:1.60M, 10:1.45M, 11:1.33M, 12:1.23M, 15:1.00M
 

    ics2_init(0xFE00, ICS_SCI1_P12_P11, 2, 0x40, 15, 0);  //(CN5 option)
    __EI();
	
    while (1)
    {
        a = a + 1;
        if (a>100) { a = a - 200; }
        b = a * 2;
        c = -a;
      
        ics2_watchpoint();
        for(i=0;i<2000;i++) { __nop(); }      
    }
}
